// ---------------------------------------------------------------------------
// ichi360 Monitor v3
// ---------------------------------------------------------------------------
// Original "http://www.ichi360.com"
// ---------------------------------------------------------------------------
// Modificated by MasterWhite
//                Argentina
//                http://analizandoforex.blogspot.com
//                2010 March 20
// ---------------------------------------------------------------------------
#property copyright "Copyright  2009, ichi360.com"
#property link      "http://ForexBaron.net" //url does not exist/is for sale: "http://www.ichi360.com"

#property indicator_chart_window

extern int     TenkanSen            = 9;
extern int     KijunSen             = 26;
extern int     SenkoSpan            = 52;
extern int     TextOffSetFromRight  = 10;
extern int     TextOffSetFromTop    = 10;//100;
extern color   TextColor            = White;
extern color   BullishTextColor     = Blue;
extern color   BearishTextColor     = Gray;
extern color   FlatTextColor        = OrangeRed;
extern color   PriceTextColor       = SeaGreen;
extern string  dch="*** 1:upper right, 2:bottom left, 3:bottom right, 4:upper left";
extern int     DisplayCorner        = 1;//1:upper right, 2:bottom left, 3:bottom right, 4:upper left

int init() 
{
   return (0);
}

int deinit() 
{
   // --- MasterWhite Added
   
   ObjectDelete("txtMonitor_1");
   ObjectDelete("txtMonitor_2");
   ObjectDelete("txtMonitor_3");
   ObjectDelete("txtMonitor_4");
   
   // --- Second Group
   
   ObjectDelete("txt15M_1");
   ObjectDelete("txt15M_2");
   ObjectDelete("txt15M_3");
   ObjectDelete("txt15M_4");
   ObjectDelete("txt15M_5");
   //
   ObjectDelete("txt30M_1");
   ObjectDelete("txt30M_2");
   ObjectDelete("txt30M_3");
   ObjectDelete("txt30M_4");
   ObjectDelete("txt30M_5");
   //
   ObjectDelete("txt1H_1");
   ObjectDelete("txt1H_2");
   ObjectDelete("txt1H_3");
   ObjectDelete("txt1H_4");
   ObjectDelete("txt1H_5");
   
   // --- Original
   
   ObjectDelete("txt4H_1");
   ObjectDelete("txt4H_2");
   ObjectDelete("txt4H_3");
   ObjectDelete("txt4H_4");
   ObjectDelete("txt4H_5");

   return (0);
}

int start() 
{
   string ls_unused_0;
   switch (Period()) 
   {
   case PERIOD_M15:
      ls_unused_0 = "M5";
      break;
   case PERIOD_M30:
      ls_unused_0 = "M15";
      break;
   case PERIOD_H1:
      ls_unused_0 = "M30";
      break;
   case PERIOD_H4:
      ls_unused_0 = "H1";
      break;
   case PERIOD_MN1:
      ls_unused_0 = "MN";
      break;
   default:
      ls_unused_0 = "240M";
   }

   // ===================================================================================================
   // Ichi read - added by MasterWhite
   // ===================================================================================================
   
   // --- M15 ---------- MasterWhite

   double ichimokuVars_052 = iIchimoku(NULL, PERIOD_M15, TenkanSen, KijunSen, SenkoSpan, MODE_TENKANSEN, 0);
   double ichimokuVars_060 = iIchimoku(NULL, PERIOD_M15, TenkanSen, KijunSen, SenkoSpan, MODE_KIJUNSEN, 0);
   double ichimokuVars_068 = iIchimoku(NULL, PERIOD_M15, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANA, 0);
   double ichimokuVars_076 = iIchimoku(NULL, PERIOD_M15, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANB, 0);
   double ichimokuVars_084 = iIchimoku(NULL, PERIOD_M15, TenkanSen, KijunSen, SenkoSpan, MODE_CHINKOUSPAN, KijunSen);

   // --- M15 ---------- MasterWhite

   double ichimokuVars_092 = iIchimoku(NULL,  PERIOD_M30, TenkanSen, KijunSen, SenkoSpan, MODE_TENKANSEN, 0);
   double ichimokuVars_0100 = iIchimoku(NULL, PERIOD_M30, TenkanSen, KijunSen, SenkoSpan, MODE_KIJUNSEN, 0);
   double ichimokuVars_0108 = iIchimoku(NULL, PERIOD_M30, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANA, 0);
   double ichimokuVars_0116 = iIchimoku(NULL, PERIOD_M30, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANB, 0);
   double ichimokuVars_0124 = iIchimoku(NULL, PERIOD_M30, TenkanSen, KijunSen, SenkoSpan, MODE_CHINKOUSPAN, KijunSen);

   // --- M30 ---------- MasterWhite

   double ichimokuVars_0132 = iIchimoku(NULL, PERIOD_H1, TenkanSen, KijunSen, SenkoSpan, MODE_TENKANSEN, 0);
   double ichimokuVars_0140 = iIchimoku(NULL, PERIOD_H1, TenkanSen, KijunSen, SenkoSpan, MODE_KIJUNSEN, 0);
   double ichimokuVars_0148 = iIchimoku(NULL, PERIOD_H1, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANA, 0);
   double ichimokuVars_0156 = iIchimoku(NULL, PERIOD_H1, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANB, 0);
   double ichimokuVars_0164 = iIchimoku(NULL, PERIOD_H1, TenkanSen, KijunSen, SenkoSpan, MODE_CHINKOUSPAN, KijunSen);

   
   // ===================================================================================================
   // Ichi read - Original
   // ===================================================================================================
   

   // --- h1 ---------- MasterWhite
   
   double ichimokuVars_12 = iIchimoku(NULL, PERIOD_H4, TenkanSen, KijunSen, SenkoSpan, MODE_TENKANSEN, 0);
   double ichimokuVars_20 = iIchimoku(NULL, PERIOD_H4, TenkanSen, KijunSen, SenkoSpan, MODE_KIJUNSEN, 0);
   double ichimokuVars_28 = iIchimoku(NULL, PERIOD_H4, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANA, 0);
   double ichimokuVars_36 = iIchimoku(NULL, PERIOD_H4, TenkanSen, KijunSen, SenkoSpan, MODE_SENKOUSPANB, 0);
   double ichimokuVars_44 = iIchimoku(NULL, PERIOD_H4, TenkanSen, KijunSen, SenkoSpan, MODE_CHINKOUSPAN, KijunSen);

   // MasterWhite added
   
   int li_0172 = 232;
   int li_0176 = 232;
   int li_0180 = 232;
   int li_0184 = 232;
   color colorVar0188 = FlatTextColor;
   color colorVar0192 = FlatTextColor;
   color colorVar0196 = FlatTextColor;
   color colorVar0200 = FlatTextColor;
   
   // original
   
   int li_172 = 232;
   int li_176 = 232;
   int li_180 = 232;
   int li_184 = 232;
   color colorVar188 = FlatTextColor;
   color colorVar192 = FlatTextColor;
   color colorVar196 = FlatTextColor;
   color colorVar200 = FlatTextColor;
   
   // ===================================================================================================
   // Color Determination - Group 1 (added by MasterWhite
   // ===================================================================================================

   // ---  M15 Color --------- MasterWhite

   if (ichimokuVars_052 > ichimokuVars_060) {
      li_0176 = 233;
      colorVar0192 = BullishTextColor;
   }
   if (ichimokuVars_052 < ichimokuVars_060) 
   {
      li_0176 = 234;
      colorVar0192 = BearishTextColor;
   }

   // ---  M30 Color --------- MasterWhite
   
   if (ichimokuVars_092 > ichimokuVars_0100) 
   {
      li_0180 = 233;
      colorVar0196 = BullishTextColor;
   }
   if (ichimokuVars_092 < ichimokuVars_0100) 
   {
      li_0180 = 234;
      colorVar0196 = BearishTextColor;
   }

   // ---  H1 Color --------- MasterWhite

   if (ichimokuVars_0132 > ichimokuVars_0140) 
   {
      li_0184 = 233;
      colorVar0200 = BullishTextColor;
   }
   if (ichimokuVars_0132 < ichimokuVars_0140) 
   {
      li_0184 = 234;
      colorVar0200 = BearishTextColor;
   }

   // ===================================================================================================
   // Color Determination - Group 1
   // ===================================================================================================
   
   // ---  H4 Color --------- MasterWhite

   if (ichimokuVars_12 > ichimokuVars_20) 
   {
      li_172 = 233;
      colorVar188 = BullishTextColor;
   }
   if (ichimokuVars_12 < ichimokuVars_20) 
   {
      li_172 = 234;
      colorVar188 = BearishTextColor;
   }
   
   // ---- MasterWhitte Added

   int li_0204 = 232;
   int li_0208 = 232;
   int li_0212 = 232;
   int li_0216 = 232;
   color colorVar0220 = FlatTextColor;
   color colorVar0224 = FlatTextColor;
   color colorVar0228 = FlatTextColor;
   color colorVar0232 = FlatTextColor;
   
   // ---- Original
   
   int li_204 = 232;
   int li_208 = 232;
   int li_212 = 232;
   int li_216 = 232;
   color colorVar220 = FlatTextColor;
   color colorVar224 = FlatTextColor;
   color colorVar228 = FlatTextColor;
   color colorVar232 = FlatTextColor;

   // ===================================================================================================
   // Color Determination - Group 2 - MasterWhite Added
   // ===================================================================================================

   // ---  M15 Color --------- MasterWhite

   if (Close[0] > ichimokuVars_068 && Close[0] > ichimokuVars_076) {
      li_0208 = 233;
      colorVar0224 = BullishTextColor;
   }
   if (Close[0] < ichimokuVars_068 && Close[0] < ichimokuVars_076) {
      li_0208 = 234;
      colorVar0224 = BearishTextColor;
   }
   if (Close[0] > ichimokuVars_068 && Close[0] < ichimokuVars_076) {
      li_0208 = 232;
      colorVar0224 = FlatTextColor;
   }
   if (Close[0] < ichimokuVars_068 && Close[0] > ichimokuVars_076) {
      li_0208 = 232;
      colorVar0224 = FlatTextColor;
  

   // ---  M30 Color --------- MasterWhite

   if (Close[0] > ichimokuVars_0108 && Close[0] > ichimokuVars_0116) {
      li_0212 = 233;
      colorVar0228 = BullishTextColor;
   }
   if (Close[0] < ichimokuVars_0108 && Close[0] < ichimokuVars_0116) {
      li_0212 = 234;
      colorVar0228 = BearishTextColor;
   }
   if (Close[0] > ichimokuVars_0108 && Close[0] < ichimokuVars_0116) {
      li_0212 = 232;
      colorVar0228 = FlatTextColor;
   }
   if (Close[0] < ichimokuVars_0108 && Close[0] > ichimokuVars_0116) {
      li_0212 = 232;
      colorVar0228 = FlatTextColor;
   }

   // ---  H1 Color --------- MasterWhite

   if (Close[0] > ichimokuVars_0148 && Close[0] > ichimokuVars_0156) {
      li_0216 = 233;
      colorVar0232 = BullishTextColor;
   }
   if (Close[0] < ichimokuVars_0148 && Close[0] < ichimokuVars_0156) {
      li_0216 = 234;
      colorVar0232 = BearishTextColor;
   }
   if (Close[0] > ichimokuVars_0148 && Close[0] < ichimokuVars_0156) {
      li_0216 = 232;
      colorVar0232 = FlatTextColor;
   }
   if (Close[0] < ichimokuVars_0148 && Close[0] > ichimokuVars_0156) {
      li_0216 = 232;
      colorVar0232 = FlatTextColor;
   }

   // ===================================================================================================
   // Color Determination - Group 2
   // ===================================================================================================
   
   // ---  H4 Color --------- MasterWhite
   
   if (Close[0] > ichimokuVars_28 && Close[0] > ichimokuVars_36) {
      li_204 = 233;
      colorVar220 = BullishTextColor;
   }
   if (Close[0] < ichimokuVars_28 && Close[0] < ichimokuVars_36) {
      li_204 = 234;
      colorVar220 = BearishTextColor;
   }
   if (Close[0] > ichimokuVars_28 && Close[0] < ichimokuVars_36) {
      li_204 = 232;
      colorVar220 = FlatTextColor;
   }
   if (Close[0] < ichimokuVars_28 && Close[0] > ichimokuVars_36) {
      li_204 = 232;
      colorVar220 = FlatTextColor;
   }
   
   // ---- MasterWhite added
   
   int li_0236 = 232;
   int li_0240 = 232;
   int li_0244 = 232;
   int li_0248 = 232;
   color colorVar0252 = FlatTextColor;
   color colorVar0256 = FlatTextColor;
   color colorVar0260 = FlatTextColor;
   color colorVar0264 = FlatTextColor;


   // ---- Original
   
   int li_236 = 232;
   int li_240 = 232;
   int li_244 = 232;
   int li_248 = 232;
   color colorVar252 = FlatTextColor;
   color colorVar256 = FlatTextColor;
   color colorVar260 = FlatTextColor;
   color colorVar264 = FlatTextColor;

   // ===================================================================================================
   // Color Determination - Group 3 - MasterWhite Added
   // ===================================================================================================
   
   // ---  M15 Color --------- MasterWhite
   
   if (ichimokuVars_084 > iClose(NULL, PERIOD_M5, KijunSen)) {
      li_0240 = 233;
      colorVar0256 = BullishTextColor;
   }
   if (ichimokuVars_084 < iClose(NULL, PERIOD_M5, KijunSen)) {
      li_0240 = 234;
      colorVar0256 = BearishTextColor;
   }
   
   // ---  M30 Color --------- MasterWhite
   
   if (ichimokuVars_0124 > iClose(NULL, PERIOD_M15, KijunSen)) {
      li_0244 = 233;
      colorVar0260 = BullishTextColor;
   }
   if (ichimokuVars_0124 < iClose(NULL, PERIOD_M15, KijunSen)) {
      li_0244 = 234;
      colorVar0260 = BearishTextColor;
   }
   
   // ---  H1 Color --------- MasterWhite
   
   if (ichimokuVars_0164 > iClose(NULL, PERIOD_M30, KijunSen)) {
      li_0248 = 233;
      colorVar0264 = BullishTextColor;
   }
   if (ichimokuVars_0164 < iClose(NULL, PERIOD_M30, KijunSen)) {
      li_0248 = 234;
      colorVar0264 = BearishTextColor;
   }

   // ===================================================================================================
   // Color Determination - Group 3
   // ===================================================================================================
   
   // ---  H4 Color --------- MasterWhite
   
   if (ichimokuVars_44 > iClose(NULL, PERIOD_H1, KijunSen)) {
      li_236 = 233;
      colorVar252 = BullishTextColor;
   }
   if (ichimokuVars_44 < iClose(NULL, PERIOD_H1, KijunSen)) {
      li_236 = 234;
      colorVar252 = BearishTextColor;
   }

   // --- MasterWhite added

   int li_0268 = 232;
   int li_0272 = 232;
   int li_0276 = 232;
   int li_0280 = 232;
   color colorVar0284 = FlatTextColor;
   color colorVar0288 = FlatTextColor;
   color colorVar0292 = FlatTextColor;
   color colorVar0296 = FlatTextColor;
   
   // --- Original
   
   int li_268 = 232;
   int li_272 = 232;
   int li_276 = 232;
   int li_280 = 232;
   color colorVar284 = FlatTextColor;
   color colorVar288 = FlatTextColor;
   color colorVar292 = FlatTextColor;
   color colorVar296 = FlatTextColor;

   // ===================================================================================================
   // Color Determination - Group 4 -- MasterWhite Added
   // ===================================================================================================
   
   // ---  M15 Color --------- MasterWhite

   if (Close[0] > ichimokuVars_060) {
      li_0272 = 233;
      colorVar0288 = BullishTextColor;
   }
   if (Close[0] < ichimokuVars_060) {
      li_0272 = 234;
      colorVar0288 = BearishTextColor;
   }
   
   // ---  M30 Color --------- MasterWhite

   if (Close[0] > ichimokuVars_0100) {
      li_0276 = 233;
      colorVar0292 = BullishTextColor;
   }
   if (Close[0] < ichimokuVars_0100) {
      li_0276 = 234;
      colorVar0292 = BearishTextColor;
   }
   
   // ---  H1 Color --------- MasterWhite

   if (Close[0] > ichimokuVars_0140) {
      li_0280 = 233;
      colorVar0296 = BullishTextColor;
   }
   if (Close[0] < ichimokuVars_0140) {
      li_0280 = 234;
      colorVar0296 = BearishTextColor;
   }

   // ===================================================================================================
   // Color Determination - Group 4
   // ===================================================================================================
   
   // ---  H4 Color --------- MasterWhite

   if (Close[0] > ichimokuVars_20) {
      li_268 = 233;
      colorVar284 = BullishTextColor;
   }
   if (Close[0] < ichimokuVars_20) {
      li_268 = 234;
      colorVar284 = BearishTextColor;
   }
   
   // --- Clean objects ------- MasterWhite
   
   
   ObjectDelete("txtMonitor_1");
   ObjectDelete("txtMonitor_2");
   ObjectDelete("txtMonitor_3");
   ObjectDelete("txtMonitor_4");
   
   // --- MasterWhite added
   
   ObjectDelete("txt15M_1");
   ObjectDelete("txt15M_2");
   ObjectDelete("txt15M_3");
   ObjectDelete("txt15M_4");
   ObjectDelete("txt15M_5");
   //
   ObjectDelete("txt30M_1");
   ObjectDelete("txt30M_2");
   ObjectDelete("txt30M_3");
   ObjectDelete("txt30M_4");
   ObjectDelete("txt30M_5");
   //
   ObjectDelete("txt1H_1");
   ObjectDelete("txt1H_2");
   ObjectDelete("txt1H_3");
   ObjectDelete("txt1H_4");
   ObjectDelete("txt1H_5");
   
   // --- Original
   
   ObjectDelete("txt4H_1");
   ObjectDelete("txt4H_2");
   ObjectDelete("txt4H_3");
   ObjectDelete("txt4H_4");
   ObjectDelete("txt4H_5");

   // ---- Create text Objects ------ 

   ObjectCreate("txtMonitor_1", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txtMonitor_1", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txtMonitor_1", OBJPROP_YDISTANCE, TextOffSetFromTop + 45);
   ObjectSet("txtMonitor_1", OBJPROP_XDISTANCE, TextOffSetFromRight);
   //
   ObjectCreate("txtMonitor_2", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txtMonitor_2", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txtMonitor_2", OBJPROP_YDISTANCE, TextOffSetFromTop + 50);
   ObjectSet("txtMonitor_2", OBJPROP_XDISTANCE, TextOffSetFromRight);
   //
   ObjectCreate("txtMonitor_3", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txtMonitor_3", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txtMonitor_3", OBJPROP_YDISTANCE, TextOffSetFromTop + 60);
   ObjectSet("txtMonitor_3", OBJPROP_XDISTANCE, TextOffSetFromRight);

   // ---- Original Text ( has moved down )
   
   ObjectCreate("txt4H_1", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt4H_1", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt4H_1", OBJPROP_YDISTANCE, TextOffSetFromTop + 136);
   ObjectSet("txt4H_1", OBJPROP_XDISTANCE, TextOffSetFromRight + 120);
   ObjectCreate("txt4H_2", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt4H_2", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt4H_2", OBJPROP_YDISTANCE, TextOffSetFromTop + 136);
   ObjectSet("txt4H_2", OBJPROP_XDISTANCE, TextOffSetFromRight + 94);
   ObjectCreate("txt4H_3", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt4H_3", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt4H_3", OBJPROP_YDISTANCE, TextOffSetFromTop + 136);
   ObjectSet("txt4H_3", OBJPROP_XDISTANCE, TextOffSetFromRight + 68);
   ObjectCreate("txt4H_4", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt4H_4", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt4H_4", OBJPROP_YDISTANCE, TextOffSetFromTop + 136);
   ObjectSet("txt4H_4", OBJPROP_XDISTANCE, TextOffSetFromRight + 34);
   ObjectCreate("txt4H_5", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt4H_5", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt4H_5", OBJPROP_YDISTANCE, TextOffSetFromTop + 136);
   ObjectSet("txt4H_5", OBJPROP_XDISTANCE, TextOffSetFromRight);

   // --- MasterWhite Text added

   ObjectCreate("txt15M_1", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt15M_1", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt15M_1", OBJPROP_YDISTANCE, TextOffSetFromTop + 76);
   ObjectSet("txt15M_1", OBJPROP_XDISTANCE, TextOffSetFromRight + 120);
   ObjectCreate("txt15M_2", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt15M_2", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt15M_2", OBJPROP_YDISTANCE, TextOffSetFromTop + 76);
   ObjectSet("txt15M_2", OBJPROP_XDISTANCE, TextOffSetFromRight + 94);
   ObjectCreate("txt15M_3", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt15M_3", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt15M_3", OBJPROP_YDISTANCE, TextOffSetFromTop + 76);
   ObjectSet("txt15M_3", OBJPROP_XDISTANCE, TextOffSetFromRight + 68);
   ObjectCreate("txt15M_4", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt15M_4", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt15M_4", OBJPROP_YDISTANCE, TextOffSetFromTop + 76);
   ObjectSet("txt15M_4", OBJPROP_XDISTANCE, TextOffSetFromRight + 34);
   ObjectCreate("txt15M_5", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt15M_5", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt15M_5", OBJPROP_YDISTANCE, TextOffSetFromTop + 76);
   ObjectSet("txt15M_5", OBJPROP_XDISTANCE, TextOffSetFromRight);

   // --- MasterWhite Text added

   ObjectCreate("txt30M_1", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt30M_1", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt30M_1", OBJPROP_YDISTANCE, TextOffSetFromTop + 96);
   ObjectSet("txt30M_1", OBJPROP_XDISTANCE, TextOffSetFromRight + 120);
   ObjectCreate("txt30M_2", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt30M_2", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt30M_2", OBJPROP_YDISTANCE, TextOffSetFromTop + 96);
   ObjectSet("txt30M_2", OBJPROP_XDISTANCE, TextOffSetFromRight + 94);
   ObjectCreate("txt30M_3", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt30M_3", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt30M_3", OBJPROP_YDISTANCE, TextOffSetFromTop + 96);
   ObjectSet("txt30M_3", OBJPROP_XDISTANCE, TextOffSetFromRight + 68);
   ObjectCreate("txt30M_4", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt30M_4", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt30M_4", OBJPROP_YDISTANCE, TextOffSetFromTop + 96);
   ObjectSet("txt30M_4", OBJPROP_XDISTANCE, TextOffSetFromRight + 34);
   ObjectCreate("txt30M_5", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt30M_5", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt30M_5", OBJPROP_YDISTANCE, TextOffSetFromTop + 96);
   ObjectSet("txt30M_5", OBJPROP_XDISTANCE, TextOffSetFromRight);

   // --- MasterWhite Text added

   ObjectCreate("txt1H_1", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt1H_1", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt1H_1", OBJPROP_YDISTANCE, TextOffSetFromTop + 116);
   ObjectSet("txt1H_1", OBJPROP_XDISTANCE, TextOffSetFromRight + 120);
   ObjectCreate("txt1H_2", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt1H_2", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt1H_2", OBJPROP_YDISTANCE, TextOffSetFromTop + 116);
   ObjectSet("txt1H_2", OBJPROP_XDISTANCE, TextOffSetFromRight + 94);
   ObjectCreate("txt1H_3", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt1H_3", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt1H_3", OBJPROP_YDISTANCE, TextOffSetFromTop + 116);
   ObjectSet("txt1H_3", OBJPROP_XDISTANCE, TextOffSetFromRight + 68);
   ObjectCreate("txt1H_4", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt1H_4", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt1H_4", OBJPROP_YDISTANCE, TextOffSetFromTop + 116);
   ObjectSet("txt1H_4", OBJPROP_XDISTANCE, TextOffSetFromRight + 34);
   ObjectCreate("txt1H_5", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txt1H_5", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txt1H_5", OBJPROP_YDISTANCE, TextOffSetFromTop + 116);
   ObjectSet("txt1H_5", OBJPROP_XDISTANCE, TextOffSetFromRight);

   ObjectCreate("txtMonitor_4", OBJ_LABEL, 0, 0, 0);
   ObjectSet("txtMonitor_4", OBJPROP_CORNER, DisplayCorner);
   ObjectSet("txtMonitor_4", OBJPROP_YDISTANCE, TextOffSetFromTop + 145);
   ObjectSet("txtMonitor_4", OBJPROP_XDISTANCE, TextOffSetFromRight);

   // ---- Put Screen Objects ------ MasterWhite

   //ObjectSetText("txtMonitor_1", "       ", 7, "Tahoma", TextColor); // modified
   ObjectSetText("txtMonitor_1", "ichi360 Monitor v3 mod.", 7, "Tahoma", TextColor); // modified
   ObjectSetText("txtMonitor_2", "--------------------------------------", 8, "Arial", TextColor);
   ObjectSetText("txtMonitor_3", "PA   P/KS   TS/KS    CS", 8, "Tahoma", TextColor);
   
   // --- MasterWhite Added
   ObjectSetText("txt15M_1", "15M:", 8, "Tahoma", TextColor);
   ObjectSetText("txt15M_2", CharToStr(li_0208), 11, "Wingdings", colorVar0224);
   ObjectSetText("txt15M_3", CharToStr(li_0272), 11, "Wingdings", colorVar0288);
   ObjectSetText("txt15M_4", CharToStr(li_0176), 11, "Wingdings", colorVar0192);
   ObjectSetText("txt15M_5", CharToStr(li_0240), 11, "Wingdings", colorVar0256);
   ObjectSetText("txt30M_1", "30M:", 8, "Tahoma", TextColor);
   ObjectSetText("txt30M_2", CharToStr(li_0212), 11, "Wingdings", colorVar0228);
   ObjectSetText("txt30M_3", CharToStr(li_0276), 11, "Wingdings", colorVar0292);
   ObjectSetText("txt30M_4", CharToStr(li_0180), 11, "Wingdings", colorVar0196);
   ObjectSetText("txt30M_5", CharToStr(li_0244), 11, "Wingdings", colorVar0260);
   ObjectSetText("txt1H_1", "1H:", 8, "Tahoma", TextColor);
   ObjectSetText("txt1H_2", CharToStr(li_0216), 11, "Wingdings", colorVar0232);
   ObjectSetText("txt1H_3", CharToStr(li_0280), 11, "Wingdings", colorVar0296);
   ObjectSetText("txt1H_4", CharToStr(li_0184), 11, "Wingdings", colorVar0200);
   ObjectSetText("txt1H_5", CharToStr(li_0248), 11, "Wingdings", colorVar0264);
   
   // ---- Original ( has moved down)
   
   ObjectSetText("txt4H_1", "4H:", 8, "Tahoma", TextColor);
   ObjectSetText("txt4H_2", CharToStr(li_204), 11, "Wingdings", colorVar220);
   ObjectSetText("txt4H_3", CharToStr(li_268), 11, "Wingdings", colorVar284);
   ObjectSetText("txt4H_4", CharToStr(li_172), 11, "Wingdings", colorVar188);
   ObjectSetText("txt4H_5", CharToStr(li_236), 11, "Wingdings", colorVar252);
   ObjectSetText("txtMonitor_4", "--------------------------------------", 8, "Arial", TextColor);
   return (0);
}